Skip to navigation

Get an AA sequence

Get an AA sequence

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

aa_sequence_idstringRequired

Query parameters

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Note: Fields annotations, translations, and primers cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g.: “annotations.id” will return the same as “annotations”.

Response

OK
aliaseslist of stringsOptional
Array of aliases
aminoAcidsstringOptional
Amino acids of the AA sequence.
annotationslist of objectsOptional
Array of annotation objects on the AA sequence.
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the AA Sequence in the API.
archiveRecordobject or nullOptional
authorslist of objectsOptional
createdAtdatetimeOptionalRead-only
DateTime the AA sequence was created.
creatorobjectOptional
customFieldsmap from strings to objectsOptional
Custom fields set on the AA sequence.
entityRegistryIdstring or nullOptional
Registry ID of the AA sequence if registered.
fieldsmap from strings to objectsOptional
folderIdstring or nullOptional
ID of the folder that contains the AA sequence.
idstringOptional
ID of the AA sequence.
lengthintegerOptional
Number of amino acids in the AA sequence.
modifiedAtdatetimeOptionalRead-only
DateTime the AA sequence was last modified.
namestringOptional
Name of the AA sequence.
registrationOriginobject or nullOptional
registryIdstring or nullOptional
Registry the AA sequence is registered in.
schemaobject or nullOptional
urlstringOptional
The path of the web URL, omitting the tenant domain
webURLstringOptionalRead-onlyformat: "uri"
URL of the AA sequence.

Errors

400
Bad Request Error